Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 51)
@@ -544,7 +544,6 @@
             this.btnDataDelete.TabIndex = 52;
             this.btnDataDelete.Text = "削　除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
-            this.btnDataDelete.Visible = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
             // btnDataEntry
@@ -588,8 +587,7 @@
             // 
             // panel3
             // 
-            this.panel3.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+            this.panel3.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
             this.panel3.AutoScroll = true;
             this.panel3.Controls.Add(this.groupBox3);
@@ -605,7 +603,7 @@
             this.panel3.Controls.Add(this.label15);
             this.panel3.Location = new System.Drawing.Point(0, 0);
             this.panel3.Name = "panel3";
-            this.panel3.Size = new System.Drawing.Size(1322, 446);
+            this.panel3.Size = new System.Drawing.Size(1322, 472);
             this.panel3.TabIndex = 0;
             this.panel3.Scroll += new System.Windows.Forms.ScrollEventHandler(this.BasePanel_Scroll);
             // 
@@ -1545,7 +1543,7 @@
             this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
             this.btnOtherProc.Location = new System.Drawing.Point(7, 656);
             this.btnOtherProc.Name = "btnOtherProc";
-            this.btnOtherProc.Size = new System.Drawing.Size(200, 30);
+            this.btnOtherProc.Size = new System.Drawing.Size(160, 30);
             this.btnOtherProc.TabIndex = 95;
             this.btnOtherProc.TabStop = false;
             this.btnOtherProc.Text = "他の画面へ";
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 51)
@@ -82,7 +82,15 @@
             /// <summary>
             /// 金額
             /// </summary>
-            PriceValue
+            PriceValue,
+            /// <summary>
+            /// 元工事番号
+            /// </summary>
+            SourceCode,
+            /// <summary>
+            /// 工事台帳行
+            /// </summary>
+            LedgerLine,
         }
         #endregion
 
@@ -377,6 +385,11 @@
         private int m_ConstructionCode = 0;
 
         /// <summary>
+        /// 受付番号
+        /// </summary>
+        private int m_OrderNo = -1;
+
+        /// <summary>
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_CloseingProcessOn = true;
@@ -406,6 +419,16 @@
         /// </summary>
         private Control[] m_DspLabelCtrl = new Control[7];
 
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
+        /// <summary>
+        /// 直接表示フラグ
+        /// </summary>
+        private bool m_DirectFlg = false;
+
         // *-----* 共通処理設定 *-----*
         /// <summary>
         /// サブフォームフラグ
@@ -417,6 +440,21 @@
         private bool m_ParentEnd = false;
         // *-----* 共通処理設定 *-----*
 
+        /// <summary>
+        /// 明細取得リスト
+        /// </summary>
+        private ArrayList m_DetailList = new ArrayList();
+
+        /// <summary>
+        /// 新規データ作成フラグ
+        /// </summary>
+        private bool m_CreateData = true;
+
+        /// <summary>
+        /// 協力会社変更リスト
+        /// </summary>
+        private List<KeyValuePair<int, int>> m_ChangeCompany = new List<KeyValuePair<int, int>>();
+
         #endregion
 
         #region プロパティ
@@ -429,6 +467,15 @@
             set { m_ConstructionCode = value; }
         }
 
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
         // *-----* 共通処理設定 *-----*
         /// <summary>
         /// サブフォームフラグ
@@ -448,6 +495,50 @@
         }
         // *-----* 共通処理設定 *-----*
 
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+
+        /// <summary>
+        /// 明細取得リスト
+        /// </summary>
+        public ArrayList DetailList
+        {
+            get { return m_DetailList; }
+            set { m_DetailList = value; }
+        }
+
+        /// <summary>
+        /// 新規データ作成フラグ
+        /// </summary>
+        public bool CreateData
+        {
+            get { return m_CreateData; }
+            set { m_CreateData = value; }
+        }
+
+        /// <summary>
+        /// グリッドカラム数取得
+        /// </summary>
+        public static int GridColumnCount
+        {
+            get { return Enum.GetNames(typeof(FrmPurchaseOrderEntry.DispDetailGridColumn)).Length; }
+        }
+
+        /// <summary>
+        /// 直接表示フラグ
+        /// </summary>
+        public bool DirectFlg
+        {
+            get { return m_DirectFlg; }
+            set { m_DirectFlg = value; }
+        }
+
         #endregion
 
         #region コンストラクタ
@@ -465,46 +556,44 @@
         /// <param name="e"></param>
         private void FrmPurchaseOrderEntry_Load(object sender, EventArgs e)
         {
-            // 工事情報取得
-            if (!GetBaseInfoData())
+            try
             {
-                MessageBox.Show("工事基本情報が存在しません", "エラー表示", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                this.Close();
-                return;
-            }
+                // 工事情報取得
+                if (!GetBaseInfoData())
+                {
+                    MessageBox.Show("工事基本情報が存在しません", "エラー表示", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    this.Close();
+                    return;
+                }
 
-            // ラベルオブジェクト取得
-            SetDisplayObject();
+                // ラベルオブジェクト取得
+                SetDisplayObject();
 
-            // データ表示
-            InitDataLoad();
+                if (m_DirectFlg)
+                {
+                    // 対象リストを作成する
+                    SetOrderEntryList();
+                }
+                else
+                {
+                    // データ選択画面表示
+                    if (!DispOrderEntryList())
+                    {
+                        this.Close();
+                        return;
+                    }
+                }
 
-            // 申請・承認表示処理
-            InitApprovalDisplay();
-            
-            // *-----* 処理移動ボタン設定 *-----*
-            CreateProcessContextMenu(m_SubForm);
-            // *-----* 処理移動ボタン設定 *-----*
+                // 自画面初期表示
+                InitDataLoad();
 
-            // 承認画面の「承認対象データを見る」からの起動時は承認ボタンの表示がある
-            bool bApproval = ClsApprovalPermission.ExceApprovalScreen();
-            if (bApproval)
+                // データ変更フラグOFF
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
             {
-                // 工事案件の管理部署を取得する
-                int DepartmentCode = ClsApprovalPermission.GetFromConstructionTheDepartment(m_ConstructionCode);
-                // 承認対象コードを取得する
-                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
-                // 案件に対して申請がされているかを確認する
-                bool Pettition = ClsApprovalPermission.CheckPetition(m_ConstructionCode, ApprovalCode);
-                // ログイン者が承認者かを確認する
-                bool Approvaler = ClsApprovalPermission.CheckUserForApprover(ApprovalCode, DepartmentCode);
-                // 申請中でログイン者が承認者の場合は承認ボタンを表示する
-                if (Pettition && Approvaler)
-                {
-                    pnlApprovalButton.Visible = true;
-                }
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            m_bChengeAns = false;
         }
         #endregion
 
@@ -583,6 +672,8 @@
                 else
                     m_CloseingProcessOn = false;
 
+                CommonMotions.EntryEndMessage("注文書データ");
+
                 // 終了
                 this.Close();
             }
@@ -612,6 +703,8 @@
                 else
                     m_CloseingProcessOn = false;
 
+                CommonMotions.RemoveEndMessage("注文書データ");
+
                 // 終了
                 this.Close();
             }
@@ -631,9 +724,10 @@
         private void btnPetition_Click(object sender, EventArgs e)
         {
             IOPurchaseOrder OrderDB = new IOPurchaseOrder();
+            IOProcessApproval ProAppDB = new IOProcessApproval();
             try
             {
-                // 積算予算データが無い場合は登録する
+                // 注文書データが無い場合は登録する
                 string strSQL = OrderDB.CreatePrimarykeyString(m_ConstructionCode);
                 PurchaseOrder DataRec = new PurchaseOrder();
                 if (!OrderDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
@@ -657,6 +751,19 @@
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
 
+                // 受付番号
+                if (m_OrderNo < 1)
+                {
+                    m_OrderNo = ProAppDB.SelectMaxSeqNoCount(ProAppDB.CreatePrimarykeyString(m_ConstructionCode, iApprovalCode)) + 1;
+                }
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_OrderNo);
+
+                // 注文書枝番
+                for (int i = 0; i < m_TabPageList.Count; i++)
+                {
+                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_TabPageList[i].SeqNo);
+                }
+
                 // 親フォーム終了
                 m_ParentEnd = true;
 
@@ -672,6 +779,7 @@
             finally
             {
                 OrderDB.close(); OrderDB = null;
+                ProAppDB.close(); ProAppDB = null;
             }
         }
         #endregion
@@ -702,6 +810,9 @@
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
 
+                // 受付番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_OrderNo);
+
                 // 親フォーム終了
                 m_ParentEnd = true;
 
@@ -1271,6 +1382,8 @@
                 frm.ConstructionCode = m_ConstructionCode;
                 // 承認機能番号セット
                 frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
+                // 受付番号セット
+                frm.OrderNo = m_OrderNo;
 
                 // 申請・承認レコード更新
                 if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
@@ -1315,6 +1428,8 @@
                 frm.ConstructionCode = m_ConstructionCode;
                 // 承認機能番号セット
                 frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
+                // 受付番号セット
+                frm.OrderNo = m_OrderNo;
 
                 // 申請・承認レコード更新
                 if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
@@ -1359,6 +1474,8 @@
                 frm.ConstructionCode = m_ConstructionCode;
                 // 承認機能番号セット
                 frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
+                // 受付番号セット
+                frm.OrderNo = m_OrderNo;
 
                 // 申請・承認レコード更新
                 if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
